# These must be the same as in the PostgreSQL RPM:
%global pgmajorversion 95
%global pgpackageversion 9.5
%global scl_prefix rh-postgresql%{pgmajorversion}
%global packagename %{scl_prefix}-postgresql

%{!?pgbaseinstdir:%define pgbaseinstdir /opt/rh/rh-postgresql95/root/usr/}

Name:		%{packagename}-pglogical
Version:	1.2.1
Release:	1%{?dist}
Summary:	pglogical - trigger-free streaming logical replication

Group:		Applications/Databases
License:	PostgreSQL
URL:		http://2ndquadrant.com/pglogical
Source0:	http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-%{version}.tar.bz2
Source1:	http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-%{version}.tar.bz2.md5

BuildRequires:	%{packagename}-devel%{?_isa}
BuildRequires:  %{packagename}-static%{?_isa}
Requires:	%{packagename}%{?_isa}
Requires:	%{packagename}-server%{?_isa}
Requires:	%{packagename}-contrib%{?_isa}

# pglogical-output now merged into this package
Provides: %{packagename}-pglogical-output = 1.2.1
Obsoletes: %{packagename}-pglogical-output < 1.2.1

# These should match those in the PostgreSQL spec, as they're headers
# PostgreSQL exposes via includes in its own public headers, and/or or that
# pg_config will emit linker options to link to.
#
# These should actually be Requires: dependencies of postgresql94-devel, but
# they aren't; see http://www.postgresql.org/message-id/547C0032.7040309@2ndquadrant.com
#
BuildRequires:  openssl-devel
BuildRequires:  gettext >= 0.10.35
BuildRequires:  libxml2-devel libxslt-devel
BuildRequires:  pam-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel >= 1.0.4

%description
Ths package installs the pglogical plugin that provides logical streaming
replication for PostgreSQL using a publish/subscribe model.  It can be used for
upgrades between major versions, full database replication, selective
replication, & gathering/merging data from multiple upstream servers.

pglogical is developed, maintained, and supported by 2ndQuadrant
(http://2ndquadrant.com).

This package is built for PostgreSQL %{packagename}
from http://yum.postgresql.org/

%prep
%setup -q -n pglogical-%{version}

%build
%{?scl:scl enable %{scl_prefix} - << \EOF}
export PATH=%{pgbaseinstdir}/bin:$PATH
make USE_PGXS=1 -s %{?_smp_mflags}
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_prefix} - << \EOF}
export PATH=%{pgbaseinstdir}/bin:$PATH
make USE_PGXS=1 DESTDIR=%{buildroot} install
%{?scl:EOF}

mkdir -p %{buildroot}%{pgbaseinstdir}/share/doc/%{name}
cp README.md %{buildroot}%{pgbaseinstdir}/share/doc/%{name}/

%files
%{pgbaseinstdir}/lib64/pgsql/pglogical.so
%{pgbaseinstdir}/lib64/pgsql/pglogical_output.so
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.0.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.2.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.0.0--1.0.1.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.0.1--1.1.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.1.0--1.1.1.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.1.1--1.1.2.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.1.2--1.2.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.2.0--1.2.1.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical--1.2.1.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical.control
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output--1.1.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output.control
%{pgbaseinstdir}/share/pgsql/extension/pglogical_origin--1.0.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical_origin.control
%{pgbaseinstdir}/bin/pglogical_create_subscriber
%{pgbaseinstdir}/share/doc/%{name}/README.md

%changelog
* Mon Oct 10 2016 Craig Ringer <craig.ringer@2ndquadrant.com> 1.2.1-1_2ndQuadrant
- Fix compatibility with 9.4 as downstream (GH #45)
- Better error for 'snapshot is too large'
- Ignore missing origin when cascading
- Don't package hooks header anymore

* Mon Sep 19 2016 Craig Ringer <craig.ringer@2ndquadrant.com> 1.2.0-1_2ndQuadrant
- The 1.2 update integrates the pglogical_output extension
- First release targeting PostgreSQL 9.6rc1

* Thu Jun 09 2016 Craig Ringer <craig.ringer@2ndquadrant.com> 1.1.2-1_2ndQuadrant
- Bug fixes for 1.1.0 stable series

* Tue Dec 22 2015 Craig Ringer <craig@2ndquadrant.com> 1.0.0-1_2ndQuadrant
- First cut pglogical package
